Subject: Re: linux-next: build failure after merge of the gpio tree

From: Tomoya MORINAGA <[email-masked]>
Date: Tue, 11 Oct 2011 16:02:40 +0900

(2011/10/11 15:37), Stephen Rothwell wrote:
> Hi Grant,
> 
> On Thu, 6 Oct 2011 14:48:26 +1100 Stephen Rothwell<[email-masked]>  wrote:
>>
>> After merging the gpio tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
>>
>> ERROR: "irq_setup_generic_chip" [drivers/gpio/gpio-pch.ko] undefined!
>> ERROR: "irq_alloc_generic_chip" [drivers/gpio/gpio-pch.ko] undefined!
>> ERROR: "irq_setup_generic_chip" [drivers/gpio/gpio-ml-ioh.ko] undefined!
>> ERROR: "irq_alloc_generic_chip" [drivers/gpio/gpio-ml-ioh.ko] undefined!
>>
>> Presumably caused by commits 54be566317b6 ("gpio-ml-ioh: Support
>> interrupt function") and 38eb18a6f92d ("gpio-pch: Support interrupt
>> function").
>>
>> I have used the gpio tree from next-20111005 for today.
> 
> I am still getting this build failure.
> 
I built this driver with success using linux-3.0.
I want to try to build with the same as your build environment.
Where can I get your environment ?

Thanks,
-- 
tomoya
ROHM Co., Ltd.